#!/bin/sh
# Open URL.

progname=$0
version=1.0.0
usage="\
Usage: $progname
Read URL from standard input, and open the URL on Netscase's Web browser.
  -h, --help         print this help and exit
  -v, --version      print version information and exit"

# Netscape's Web browser path
NETSCAPE=netscape

# Option processing
while [ "$1" != "" ]
do
	case "$1" in
	-h | --help) 
		echo "$usage"; exit 0;;
	-v | --version | --v*)
		echo "$progname $version"; exit 0;;
	--) # Stop option processing.
		shift; break ;;
	*)	
		break ;;
	esac
	shift	
done

# Check necessary files
if [ ! -x $NETSCAPE ]
then
	echo "Warning:"
	echo "You can't execute $NETSCAPE."
	exit 0
fi

# URL from standard input
read URL
$NETSCAPE -raise -remote "openURL($URL)"
